package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.CryptoServiceDTO;

/**
 * @author liulu
 * @since 2024/10/15
 */
public interface CryptoServiceService {


    Page<CryptoServiceDTO.CSView> selectPageList(CryptoServiceDTO.Query query);

    Long save(CryptoServiceDTO.CSSave save);

    void update(CryptoServiceDTO.CSSave update);

    void enable(Long id);

    void disable(Long id);

    void delete(Long id);
}
